karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré (JIRA) <j...@apache.org>
Subject [jira] Resolved: (KARAF-437) Document jre.properties tuning
Date Mon, 14 Feb 2011 15:48:57 GMT

     [ https://issues.apache.org/jira/browse/KARAF-437?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Jean-Baptiste Onofré resolved KARAF-437.
----------------------------------------

       Resolution: Fixed
    Fix Version/s: 3.0.0
                   2.2.0
                   2.1.4

Trunk: revision 1070527.
karaf-2.2.x: revision 1070529.
karaf-2.1: wiki updated.

> Document jre.properties tuning
> ------------------------------
>
>                 Key: KARAF-437
>                 URL: https://issues.apache.org/jira/browse/KARAF-437
>             Project: Karaf
>          Issue Type: Task
>          Components: documentation
>            Reporter: Jean-Baptiste Onofré
>            Assignee: Jean-Baptiste Onofré
>             Fix For: 2.1.4, 2.2.0, 3.0.0
>
>
> In order to be able to run CXF and Camel into Karaf, we should document the etc/jre.properties
tuning.
> Without jre.properties tuning (as performed in ServiceMix), we have this kind of exception:
> 09:48:12,281 | INFO  | l Console Thread | Console                          | araf.shell.console.jline.Console
 188 | 11 - org.apache.karaf.shell.console - 2.1.3 | Exception caught while executing command
> java.lang.Exception: Could not start bundle mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.saaj-impl/1.3.2_1
in feature(s) camel-cxf-2.6.0: Unresolved constraint in bundle org.apache.servicemix.bundles.saaj-impl
[97]: Unable to resolve 97.0: missing requirement [97.0] package; (package=com.sun.org.apache.xerces.internal.dom)
>                 at org.apache.karaf.features.internal.FeaturesServiceImpl.installFeatures(FeaturesServiceImpl.java:326)[19:org.apache.karaf.features.core:2.1.3]
>                 at org.apache.karaf.features.internal.FeaturesServiceImpl.installFeature(FeaturesServiceImpl.java:254)[19:org.apache.karaf.features.core:2.1.3]
>                 at org.apache.karaf.features.internal.FeaturesServiceImpl.installFeature(FeaturesServiceImpl.java:250)[19:org.apache.karaf.features.core:2.1.3]
>                 at org.apache.karaf.features.command.InstallFeatureCommand.doExecute(InstallFeatureCommand.java:51)[9:org.apache.karaf.features.command:2.1.3]
>                 at org.apache.karaf.features.command.FeaturesCommandSupport.doExecute(FeaturesCommandSupport.java:39)[9:org.apache.karaf.features.command:2.1.3]
>                 at org.apache.karaf.shell.console.OsgiCommandSupport.execute(OsgiCommandSupport.java:38)[11:org.apache.karaf.shell.console:2.1.3]
>                 at org.apache.felix.gogo.commands.basic.AbstractCommand.execute(AbstractCommand.java:35)[11:org.apache.karaf.shell.console:2.1.3]
>                 at org.apache.felix.gogo.runtime.shell.CommandProxy.execute(CommandProxy.java:50)[11:org.apache.karaf.shell.console:2.1.3]
>                 at org.apache.felix.gogo.runtime.shell.Closure.execute(Closure.java:229)[11:org.apache.karaf.shell.console:2.1.3]
>                 at org.apache.felix.gogo.runtime.shell.Closure.executeStatement(Closure.java:162)[11:org.apache.karaf.shell.console:2.1.3]
>                 at org.apache.felix.gogo.runtime.shell.Pipe.run(Pipe.java:101)[11:org.apache.karaf.shell.console:2.1.3]
>                 at org.apache.felix.gogo.runtime.shell.Closure.execute(Closure.java:79)[11:org.apache.karaf.shell.console:2.1.3]
>                 at org.apache.felix.gogo.runtime.shell.CommandSessionImpl.execute(CommandSessionImpl.java:71)[11:org.apache.karaf.shell.console:2.1.3]
>                 at org.apache.karaf.shell.console.jline.Console.run(Console.java:170)[11:org.apache.karaf.shell.console:2.1.3]
>                 at java.lang.Thread.run(Thread.java:662)[:1.6.0_23]
> Caused by: org.osgi.framework.BundleException: Unresolved constraint in bundle org.apache.servicemix.bundles.saaj-impl
[97]: Unable to resolve 97.0: missing requirement [97.0] package; (package=com.sun.org.apache.xerces.internal.dom)
>                 at org.apache.felix.framework.Felix.resolveBundle(Felix.java:3409)[org.apache.felix.framework-3.0.2.jar:]
>                 at org.apache.felix.framework.Felix.startBundle(Felix.java:1709)[org.apache.felix.framework-3.0.2.jar:]
>                 at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:905)[org.apache.felix.framework-3.0.2.jar:]
>                 at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:892)[org.apache.felix.framework-3.0.2.jar:]
>                 at org.apache.karaf.features.internal.FeaturesServiceImpl.installFeatures(FeaturesServiceImpl.java:323)[19:org.apache.karaf.features.core:2.1.3]
>                 ... 14 more

-- 
This message is automatically generated by JIRA.
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

       

Mime
View raw message